%% Script to run the various experiments with the switch distribution

ex = 1; % which experiment?

%% Trend is the third degree polynomial
if ex==1
  D1 = gendata(1000, @(x)polyval([1,0,-0.64,0].*1.5,x), 200);
  % (x-0.8)*x*(x+0.8) = x^2-0.8x (x+0.8) = x^3-0.64x
  R1 = gather(D1, 6, [1,1,1], 1.1);
  visualise(D1, R1);
end

%% The trend is a square wave
if ex==2
  D2 = gendata(600, @(x)2*sign(0.5-abs(x)), 50);
  R2 = gather(D2, 35, [1,1,1], 1.1);
  visualise(D2, R2);
end