%% switch_default
% The default switch distribution.
% Perhaps the most intuitive implementation of switching, and although we
% cannot prove optimal risk convergence for this version, it works fine in
% practice.
% The switching experts and the stable experts are the same set.
%
classdef switch_default < PFS_mixture
      
    methods

        %% switch_default(PFSs)
        % Constructs a switch_default PFS over the given set of PFSs.
        function this = switch_default(PFSs)
            Kst = length(PFSs);
            this = this@PFS_mixture([PFSs PFSs], switch_core(Kst, Kst), 2*Kst);
        end
        
        %% model_weights(x) [required by PFS_mixture]
        % Returns weights of the original PFSs for model selection.
        % In contrast to switch_fast and switch_slow, here we include the
        % weights of the set of switching experts.
        function w = model_weights(this)
            w = this.core.weights;
            Kst = this.core.Kst;
            w = w(1:Kst) + w(Kst+1:end);
        end
        
    end
    
end